INTERFACE
 subroutine hlvcbr(&
 & khor , klev , kstart ,&
 & kstop , pdtime , ldstat ,&
 & pt , pq , pu ,&
 & pv , pcw , pcice ,&
 & kcdnst ,&
 & ptke , pgpot , ppf ,&
 & pph , pcld2 ,&
 & pts , pps , ptaux ,&
 & ptauy , psenf , platf ,&
 & pustar , ppblh , pdtdt ,&
 & pdqdt , pdudt , pdvdt ,&
 & pdcwdt , pdicedt, pdtkedt,&
 & pstdif , pstddif, cdoneup ) 
use parkind1 ,only : jpim ,jprb
integer(kind=jpim), intent(in) :: khor
integer(kind=jpim), intent(in) :: klev
integer(kind=jpim), intent(in) :: kstart
integer(kind=jpim), intent(in) :: kstop
real(kind=jprb) , intent(in) :: pdtime
real(kind=jprb) , intent(in) :: pts(khor)
real(kind=jprb) , intent(in) :: pps(khor)
real(kind=jprb) , intent(in) :: ptaux(khor)
real(kind=jprb) , intent(in) :: ptauy(khor)
real(kind=jprb) , intent(in) :: psenf(khor)
real(kind=jprb) , intent(in) :: platf(khor)
real(kind=jprb) , intent(in) :: pustar(khor)
real(kind=jprb) , intent(in) :: ppblh(khor)
real(kind=jprb) , intent(in) :: pt(khor,klev)
real(kind=jprb) , intent(in) :: pq(khor,klev)
real(kind=jprb) , intent(in) :: pu(khor,klev)
real(kind=jprb) , intent(in) :: pv(khor,klev)
integer(kind=jpim), intent(in) :: kcdnst
real(kind=jprb) , intent(in) :: pcw(khor,klev)
real(kind=jprb) , intent(in) :: pcice(khor,klev)
real(kind=jprb) , intent(inout) :: ptke(khor,klev)
real(kind=jprb) , intent(in) :: pgpot(khor,klev)
real(kind=jprb) , intent(in) :: pcld2(khor,klev)
real(kind=jprb) , intent(in) :: ppf(khor,klev)
real(kind=jprb) , intent(in) :: pph(khor,0:klev)
real(kind=jprb) , intent(inout) :: pdtdt(khor,klev)
real(kind=jprb) , intent(inout) :: pdqdt(khor,klev)
real(kind=jprb) , intent(inout) :: pdudt(khor,klev)
real(kind=jprb) , intent(inout) :: pdvdt(khor,klev)
real(kind=jprb) , intent(inout) :: pdcwdt(khor,klev)
real(kind=jprb) , intent(inout) :: pdicedt(khor,klev)
real(kind=jprb) , intent(inout) :: pdtkedt(khor,klev)
logical , intent(in) :: ldstat
real(kind=jprb) , intent(inout) :: pstdif(klev)
real(kind=jprb) , intent(inout) :: pstddif(klev)
character(len=6) , intent(in) :: cdoneup
end subroutine hlvcbr
END INTERFACE
